Search Specific Company Contacts
Search specific company contacts from the company contact list.
Request URL
GET {base_url}/{api_path}/company_contact/search?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. Note: If this parameter is left blank, the response result will return the first page by default. |
| page_size | No | Integer | Define how many records per page. Maximum value: 10,000 Note: If this parameter is left blank, the response result will return 10,000 records per page by default. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
| search_value | No | String | Search keyword. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total of the searched company contacts. |
| data | Array<Contact_Info> | The list of the company contacts' information. |
Contact_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Company contact's ID. |
| contact_name | String | Company contact's name. |
| company | String | Company. |
| String | Email address. | |
| phonebook_list | Array<Phonebook_List> | The list of phonebook to which the company contact belongs. |
| organization | String | Department. |
| job_title | String | Job title. |
| position | String | Position. |
| industry | String | Industry. |
| supervisor | String | Supervisor. |
| remark | String | Remark. |
| business | String | Business number. |
| business2 | String | Business number 2. |
| mobile | String | Mobile number. |
| mobile2 | String | Mobile number 2. |
| home | String | Home number. |
| home2 | String | Home number 2. |
| business_fax | String | Business fax. |
| home_fax | String | Home fax. |
| other | String | Other number. |
Phonebook_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Phonebook ID. |
| name | String | Phonebook name. |
Examples
Request example
GET /openapi/v1.0/company_contact/search?search_value=jay&access_token=9ZG6kC6xo4EfkVDIvEgtbhED59VVycwH HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 1,
"data": [
{
"id": 4,
"contact_name": "Jay Prichett",
"company": "Closet",
"email": "jayprichett@icloud.com",
"business": "001-5503308",
"mobile": "15735810000",
"phonebook_list": [
{
"id": 5,
"name": "Vendor"
},
{
"id": 3,
"name": "All Company Contacts_Phonebook"
}
]
}
]
}